﻿@model IEnumerable<SSOTestApp.Models.UserDriveModel>

@{
    ViewBag.Title = "OneDrive";
}

<h2>OneDrive</h2>
<div>
    <div style="float:left;">
        @using (Html.BeginForm("SearchOneDrive", "Home"))
        {
            <input type="text" name="searchText" placeholder="Search Drive Items" />
            <input type="submit" value="Search">
        }
    </div>
    <div style="float:right;">
        @using (Html.BeginForm("CreateFolder", "Home"))
        {
            <input type="submit" value="Create New Folder" style="background-color:Highlight;color:aliceblue">
        }
    </div>
</div>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.FolderName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CreatedDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CreatedBy)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastModifiedDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastModifiedBy)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Size)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
    <tr>
        <td>
            @if (item.IsFolder == true)
            {
                <a href="@Url.Action("DriveById", new { id = item.Id })"> @Html.DisplayFor(modelItem => item.FolderName)</a>
            }
            else
            {
                <a href="@Html.DisplayFor(modelItem => item.WebUrl)">@Html.DisplayFor(modelItem => item.FolderName)</a>
            }
        </td>
    <td>
        @Html.DisplayFor(modelItem => item.CreatedDate)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CreatedBy)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.LastModifiedDate)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.LastModifiedBy)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Size)
    </td>
    <td>
        
    </td>
</tr>
    }

</table>
